/*
 * Class EV_MULTI_COLUMN_LIST_ACTION_SEQUENCES_I
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_357 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_357 [] = {0xFF01,1551,356,0xFFFF};
static const EIF_TYPE_INDEX egt_2_357 [] = {0xFF01,356,0xFFFF};
static const EIF_TYPE_INDEX egt_3_357 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_357 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_357 [] = {0xFF01,356,0xFFFF};
static const EIF_TYPE_INDEX egt_6_357 [] = {0xFF01,356,0xFFFF};
static const EIF_TYPE_INDEX egt_7_357 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_357 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_9_357 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_10_357 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_11_357 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_12_357 [] = {0xFF01,356,0xFFFF};
static const EIF_TYPE_INDEX egt_13_357 [] = {0xFF01,635,0xFFFF};
static const EIF_TYPE_INDEX egt_14_357 [] = {0xFF01,635,0xFFFF};
static const EIF_TYPE_INDEX egt_15_357 [] = {0xFF01,635,0xFFFF};
static const EIF_TYPE_INDEX egt_16_357 [] = {0xFF01,635,0xFFFF};
static const EIF_TYPE_INDEX egt_17_357 [] = {0xFF01,650,0xFFFF};
static const EIF_TYPE_INDEX egt_18_357 [] = {0xFF01,650,0xFFFF};
static const EIF_TYPE_INDEX egt_19_357 [] = {0xFF01,650,0xFFFF};
static const EIF_TYPE_INDEX egt_20_357 [] = {0xFF01,650,0xFFFF};


static const struct desc_info desc_357[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_357), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_357), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_357), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_357), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_357), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_357), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_357), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_357), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_357), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_357), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_357), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_357), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x02C9 /*356*/), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_357), 30, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_357), 6558, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_357), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x04F7 /*635*/), 6559, 0},
	{EIF_GENERIC(egt_15_357), 6552, 0xFFFFFFFF},
	{EIF_GENERIC(egt_16_357), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x04F7 /*635*/), 6553, 4},
	{EIF_GENERIC(egt_17_357), 6554, 0xFFFFFFFF},
	{EIF_GENERIC(egt_18_357), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0515 /*650*/), 6555, 8},
	{EIF_GENERIC(egt_19_357), 6556, 0xFFFFFFFF},
	{EIF_GENERIC(egt_20_357), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0515 /*650*/), 6557, 12},
};
void Init357(void)
{
	IDSC(desc_357, 0, 356);
	IDSC(desc_357 + 1, 1, 356);
	IDSC(desc_357 + 32, 1272, 356);
}


#ifdef __cplusplus
}
#endif
